Bug 1046699 - nfs share wont mount as root
Summary: nfs share wont mount as root
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 16:12 UTC by David Annett
Modified: 2016-07-19 10:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:50:01 UTC
Type: Bug


Attachments (Terms of Use)
dmeg output seen at emergency console, compressed to meet file size limit (10.59 KB, application/gzip)
2013-12-26 16:12 UTC, David Annett
no flags Details

Description David Annett 2013-12-26 16:12:09 UTC
Created attachment 841966 [details]
dmeg output seen at emergency console, compressed to meet file size limit

Description of problem:
When trying to mount nfs share as root it fails at boot with errors:
- mount.nfs: requested NFS version or transport protocol is not supported
- No root device "nfs" found.
When it drops into recovery shell it has no problem mount the require nfs share manually.  Trying to do first stage boot from SSD but mount nfs share on QNap TS-412 NAS as root filesystem.


Version-Release number of selected component (if applicable):
dracut does not appear to support -V version reporting option.  Version installed using yum on CentOS 6.5.

How reproducible:
Every time.

Steps to Reproduce:
1. Install OS, Cent OS 6.5, to SSD and ensure boots and runs ok.
2. Copy SSD to nfs share on Qnap TS-412 NAS.
2. Create initramfs-nfs-only.img (then put in /boot) using:
dracut -f --debug -v -k /lib/modules/2.6.32-431.1.2.0.1.el6.x86_64/ -m "nfs network base kernel-modules" --add-drivers "scsi_wait_scan" /tmp/initramfs-nfs-only.img 2.6.32-431.1.2.0.1.el6.x86_64
3. Add entry to /boot/grub/grub.cfg:
title CentOS (Network eth0)
	root (hd0,0)
	kernel /vmlinuz-2.6.32-431.1.2.0.1.el6.x86_64 ro rdshell ifname=eth0:00:22:4D:A0:F8:21 ip=10.11.1.1::10.11.1.3:255.255.255.0:yi:eth0:off root=nfs:10.11.1.10:/yi/:nolock,nfsvers=3,udp,port=2049 nameserver=10.11.1.3 LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 crashkernel=auto KEYBOARDTYPE=pc KEYTABLE=us
	initrd /initramfs-nfs-only.img
4. Reboot system, select grub option for new entry.

Actual results:
Will see error messages:
mount.nfs: requested NFS version or transport protocol is not supported
No root device "nfs" found
Then will fall into emergency console.  Attached dmesg output seen at that console. Can mount nfs share fine using:
mount.nfs 10.11.1.10:/yi/ /mnt -v -o nolock,nfsvers=3,udp,port=2049

Expected results:
System boots OS with root filesystem on nfs share.

Additional info:
Output of mount.nfs from emergency console:
mount.nfs: timeout set for Thu Dec 26 22:53:55 2013
mount.nfs: trying text-based options 'nolock,nfsvers=3,udp,port=2049,addr=10.11.1.10'
mount.nfs: prog 100005, trying vers=3, prot=17
10.11.1.10:/yi/ on /mnt type nfs (nolock,nfsvers=3,udp,port=2049)

Comment 1 David Annett 2013-12-26 16:18:29 UTC
I have filed as Fedora bug as that is assumed parent of dracut project even though I am using with a CentOS set up.

Comment 2 Harald Hoyer 2014-01-07 13:44:44 UTC
to get more debug info follow:

http://people.redhat.com/harald/dracut-rhel6.html#troubleshooting

Comment 3 Jaroslav Reznik 2015-03-03 15:21:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora End Of Life 2016-07-19 10:50:01 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.